package com.gic.haoban.manage.service.util;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

/**
 * @Author MUSI
 * @Date 2023/3/15 9:48 PM
 * @Description
 * @Version
 **/
public class DrawImageUtils {

    public static void drawImage() throws IOException {

//        ImageIcon imageIcon = new ImageIcon("");
//
//        URL url = new URL("http://res.mail.qq.com/node/ww/wwopenmng/images/independent/doc/test_pic_msg1.png");

        long startTime = System.currentTimeMillis();
        InputStream inputStream = DrawImageUtils.class.getClassLoader().getResourceAsStream("template/base_pic.png");
        if (inputStream == null){
            return;
        }
        BufferedImage image = ImageIO.read(inputStream);;
        System.out.println("图片宽度：" + image.getWidth() + " px");
        System.out.println("图片高度：" + image.getHeight() + " px");

        Graphics2D pen = image.createGraphics();
        pen.setColor(Color.BLACK);
        //pen.setColor(new Color(179, 250, 233, 100));

        //Font.PLAIN（正常），Font.BOLD（粗体），Font.ITALIC（斜体）
        pen.setFont(new Font("微软雅黑", Font.ITALIC, 20));

        pen.drawString("我是图片水印", image.getWidth()/2, image.getHeight()/ 2);
        pen.dispose();

        File file = new File("test2.png");
        FileOutputStream fos = new FileOutputStream(file);
        ImageIO.write(image, "png", fos);

        long endTime = System.currentTimeMillis();
        System.out.println(endTime - startTime);
    }

    public static void main(String[] args) throws IOException {
        DrawImageUtils.drawImage();
    }
}
